This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Management

1 - Cloud Control

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of CloudControl service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://cloudcontrol.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1.1 - APIs

1.1.1 - AddBaselineAssignment

1.1.1.1 - 1.0

post /v1/baseline-assignments/{assignment_id}

Description

add a new baseline assignment

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
stringNone
bodybody
required

BaselineAssignmentAddRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBaselineAssignmentAddResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "resource_type": "OU",
    "sso_user_name": "testuser",
    "sso_user_real_name": "test user"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}

1.1.2 - CreateAccountFactoryAccount

1.1.2.1 - 1.0

post /v1/accounts

Description

create an account using account factory.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AccountFactoryCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountFactoryCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "email": "myaccount@example.com",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "name": "foo-account",
    "parent_unit_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "sso_user_email": "user_email@example.com",
    "sso_user_name": "John Doe",
    "sso_user_real_name": "John Doe"
}

Example HTTP response

Response 201

{
    "account_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
    "job_id": "0a36e0746dbf4908acf0357829701381"
}

1.1.3 - CreateLandingZone

1.1.3.1 - 1.0

post /v1/landing-zones

Description

Create a landing zone

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LandingZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLandingZoneCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/landing-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "additional_ou_name": "Sandbox",
    "agree_yn": "Y",
    "audit_account_name": "AUDIT",
    "audit_login_id": "audit@samsung.com",
    "basic_ou_name": "Security",
    "log_archive_account_name": "LOG_ARCHIVE",
    "log_archive_login_id": "log-archive@samsung.com",
    "sso_type": "ID_CENTER"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

1.1.4 - DeleteLandingZone

1.1.4.1 - 1.0

delete /v1/landing-zones/{landing_zone_id}

Description

Delete a landing zone

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathlanding_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLandingZoneCreateResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/landing-zones/{landing_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

1.1.5 - DisableGuardrailBindings

1.1.5.1 - 1.0

delete /v1/guardrail-bindings

Description

disable guardrail bindings

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailDisableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}

1.1.6 - EnableGuardrailBindings

1.1.6.1 - 1.0

post /v1/guardrail-bindings

Description

enable guardrail bindings

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GuardrailEnableRequest

Responses

HTTP CodeDescriptionSchema
200OKGuardrailAssignmentResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "guardrail_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "unit_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "CloudControl.AlreadyEnabledGuardrails",
            "failed_caused": "guardrail already enabled",
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ],
    "success_ids": [
        {
            "guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
            "unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
        }
    ]
}

1.1.7 - ListBaselineAssignments

1.1.7.1 - 1.0

get /v1/baseline-assignments

Description

get baseline assignment list

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
queryresource_type
optional
OU/ACCOUNT
Example : OU
any of [enum (OU, ACCOUNT), null]None
queryassignment_id
optional
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
any of [string, null]None
querystatus
optional
상태
Example : REGISTRATION_FAILED
any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING), null]None

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baseline-assignments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "baseline_assignments": [
        {
            "account_assigned_count": 3,
            "account_count": 4,
            "id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
            "ou_assigned_count": 5,
            "ou_count": 10,
            "preventive_guardrail_activated_count": 8,
            "sso_user_name": "testuser",
            "status": "REGISTERED",
            "type": "OU"
        }
    ]
}

1.1.8 - ListGuardrails

1.1.8.1 - 1.0

get /v1/guardrails

Description

get guardrails list

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
가드레일명
Example : foo-guardrail
any of [string, null]None
queryexclude_unit_id
optional
연결된(제외) 유닛 ID
Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
any of [string, null]None
queryguidance
optional
정책 가이드
Example : MANDATORY
any of [string, null]None
queryservice_name
optional
Organization
Example : iam
any of [string, null]None
querystatus
optional
적용 상태
Example : ENABLED
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "guardrails": [
        {
            "binding_ous": [],
            "created_at": "2024-12-19 01:09:05.000",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "description": "This is an example guardrail.",
            "guidance": "MANDATORY",
            "id": "2c8a138f8d78e1fc29a449dbfa8681",
            "modified_at": "2023-10-15 14:30:00",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "foo-guardrail",
            "service_name": "iam",
            "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
            "status": "DISABLED",
            "type": "PREVENTIVE"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.1.9 - ListGuardrailsForTarget

1.1.9.1 - 1.0

get /v1/guardrail-bindings/guardrails

Description

list guardrails for target

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querytarget_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
stringNone
queryname
optional
가드레일명
Example : guardrail-example
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListGuardrailsForTargetResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings/guardrails?target_id={target_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "guardrails": [
        {
            "created_at": "2024-12-19 01:09:05.000",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "guidance": "MANDATORY",
            "id": "0a36e0746dbf4908acf0357829701381",
            "link_types": {
                "directed": [
                    {
                        "target_id": "1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
                        "target_name": "example-target"
                    }
                ],
                "inherited": [
                    {
                        "target_id": "2a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
                        "target_name": "root"
                    }
                ]
            },
            "modified_at": "2023-10-15 14:30:00",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "foo-guardrail",
            "service_name": "iam",
            "type": "PREVENTIVE"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.1.10 - ListTargetsForGuardrail

1.1.10.1 - 1.0

get /v1/guardrail-bindings/targets

Description

list targets for guardrail

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryguardrail_id
required
가드레일 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
stringNone
querytarget_type
required
타겟유형
Example : ACCOUNT
enum (ACCOUNT, OU)None
queryname
optional
타겟명
Example : ou-test
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListTargetsForGuardrailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrail-bindings/targets?guardrail_id={guardrail_id}&target_type={target_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "targets": [
        {
            "email": "score@samsung.com",
            "id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
            "name": "score-account",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name"
        }
    ]
}

1.1.11 - ShowGuardrail

1.1.11.1 - 1.0

get /v1/guardrails/{guardrail_id}

Description

show a specific guardrail.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathguardrail_id
required
가드레일 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone
querylanding_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails/{guardrail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "guardrail": {
        "binding_ous": [],
        "created_at": "2024-12-19 01:09:05.000",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "description": "This is an example guardrail.",
        "guidance": "MANDATORY",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "modified_at": "2023-10-15 14:30:00",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "name": "foo-guardrail",
        "service_name": "iam",
        "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
        "status": "DISABLED",
        "type": "PREVENTIVE"
    }
}

1.1.12 - ShowLandingZone

1.1.12.1 - 1.0

get /v1/landing-zones/{landing_zone_id}

Description

Show a landing zone

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathlanding_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLandingZoneShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/landing-zones/{landing_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "landing_zone": {
        "agree_yn": "Y",
        "created_at": "2024-12-19 01:09:05.000",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "identity_center_id": "0xnw6g1xh2q5",
        "modified_at": "2023-10-15 14:30:00",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "region": "kr-west1",
        "service_name": "Cloud Control",
        "srn": "srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b",
        "sso_type": "ID_CENTER",
        "status": "ACTIVE",
        "version_id": "1.0"
    }
}

1.1.13 - UpdateBaselineAssignment

1.1.13.1 - 1.0

put /v1/baseline-assignments/{assignment_id}

Description

update a specific baseline assignment.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
stringNone
bodybody
required

BaselineAssignmentUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKBaselineAssignmentAddResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

Example HTTP response

Response 200

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}

1.2 - Models

1.2.1 - AccountFactoryCreateRequest

NameDescriptionSchemaDefault
email
optional
계정 이메일
Example : myaccount@example.com
any of [string, null]
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
name
required
계정명
Example : foo-account
string
parent_unit_id
required
상위 조직 단위 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
string
sso_user_email
optional
ID Center 사용자 이메일
Example : user_email@example.com
any of [string, null]
sso_user_name
optional
ID Center 사용자 이름
Example : John Doe
any of [string, null]
sso_user_real_name
optional
ID Center 사용자 실명
Example : John Doe
any of [string, null]

1.2.2 - AccountFactoryCreateResponse

NameDescriptionSchemaDefault
account_id
required
조직 계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
string
job_id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string

1.2.3 - AccountsForGuardrail

NameDescriptionSchemaDefault
email
optional
계정 이메일
Example : score@samsung.com
any of [string, null]
id
required
조직 계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
string
name
optional
계정명
Example : score-account
any of [string, null]
parent_unit_id
required
ROOT 또는 부모 조직 단위 ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
string
parent_unit_name
required
ROOT 또는 부모 조직 단위명
Example : parent-unit-name
string

1.2.4 - BaselineAssignment

NameDescriptionSchemaDefault
account_assigned_count
optional
등록된 계정 수
Example : 3
any of [integer, null]
account_count
optional
전체 계정 수
Example : 4
any of [integer, null]
id
required
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
string
ou_assigned_count
optional
등록된 조직 단위 수
Example : 5
any of [integer, null]
ou_count
optional
전체 조직 단위 수
Example : 10
any of [integer, null]
preventive_guardrail_activated_count
optional
활성화된 예방 가드레일 수
Example : 8
any of [integer, null]
sso_user_name
optional
ID Center 사용자명
Example : testuser
any of [string, null]
status
optional
상태
Example : REGISTERED
any of [string, null]
type
required
OU/ACCOUNT
Example : OU
string

1.2.5 - BaselineAssignmentAddRequest

NameDescriptionSchemaDefault
agree_yn
optional
약관 동의 여부
Example : Y
any of [enum (Y, N), null]
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
parent_unit_id
optional
ROOT 또는 부모 조직 단위 ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]
resource_type
required
OU/ACCOUNT
Example : OU
enum (ACCOUNT, OU)
sso_user_name
optional
ID Center 사용자명
Example : testuser
any of [string, null]
sso_user_real_name
optional
ID Center 사용자 실명
Example : test user
any of [string, null]

1.2.6 - BaselineAssignmentAddResponse

NameDescriptionSchemaDefault
job_id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string
resource_id
required
루트/조직 단위/계정 ID
Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
string
resource_type
required
OU/ACCOUNT
Example : OU
string

1.2.7 - BaselineAssignmentListResponse

NameDescriptionSchemaDefault
baseline_assignments
required

array[BaselineAssignment]

1.2.8 - BaselineAssignmentUpdateRequest

NameDescriptionSchemaDefault
agree_yn
optional
약관 동의 여부
Example : Y
any of [enum (Y, N), null]
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string

1.2.9 - Guardrail

NameDescriptionSchemaDefault
binding_ous
optional

any of [array[GuardrailBindingOu], array[object], null]
created_at
required
생성 일시
Example : 2024-12-19 01:09:05.000
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
description
optional
가드레일 설명
Example : This is an example guardrail.
any of [string, null]
guidance
required
정책 가이드
Example : MANDATORY
string
id
required
가드레일 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
modified_at
required
수정 일시
Example : 2023-10-15 14:30:00
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
name
required
가드레일명
Example : foo-guardrail
string
service_name
required
Organization
Example : iam
string
srn
optional
가드레일 SRN
Example : srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]
status
optional
적용 상태
Example : DISABLED
stringDISABLED
type
required
가드레일 유형
Example : PREVENTIVE
string

1.2.10 - GuardrailAssignmentDetail

NameDescriptionSchemaDefault
guardrail_id
required
가드레일 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
string
unit_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
string

1.2.11 - GuardrailAssignmentFailCaused

NameDescriptionSchemaDefault
error_code
required
error code
Example : CloudControl.AlreadyEnabledGuardrails
string
failed_caused
required
실패 원인
Example : guardrail already enabled
string
guardrail_id
required
가드레일 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
string
unit_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
string

1.2.12 - GuardrailAssignmentResponse

NameDescriptionSchemaDefault
failed_ids
required

array[GuardrailAssignmentFailCaused]
success_ids
required
성공 ID
array[GuardrailAssignmentDetail]

1.2.13 - GuardrailBindingOu

NameDescriptionSchemaDefault
id
required
조직 단위 ID
Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
string
name
required
조직 단위명
Example : score-organization-unit
string

1.2.14 - GuardrailDisableRequest

NameDescriptionSchemaDefault
guardrail_ids
required
가드레일 목록 ID
Example : ['f98e76d54c32b10a9z8y7x6w5v4u3']
array[string]
landing_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]
unit_ids
required
타겟 정보
Example : ['ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5']
array[string]

1.2.15 - GuardrailEnableRequest

NameDescriptionSchemaDefault
guardrail_ids
required
가드레일 목록 ID
Example : ['f98e76d54c32b10a9z8y7x6w5v4u3']
array[string]
landing_zone_id
optional
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]
unit_ids
required
타겟 정보
Example : ['ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5']
array[string]

1.2.16 - GuardrailLinkInfo

NameDescriptionSchemaDefault
target_id
required
타겟 ID
Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
string
target_name
required
타겟명
Example : ou-test
any of [string, null]

1.2.17 - GuardrailPageResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
guardrails
required

array[GuardrailSummary]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

1.2.18 - GuardrailsForTargetSummary

NameDescriptionSchemaDefault
created_at
required
생성 일시
Example : 2024-12-19 01:09:05.000
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
guidance
required
정책 가이드
Example : MANDATORY
string
id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string
link_types
required
연결 유형
Example : {'directed': [{'target_id': '1a2b3c4d5e6f7g8h9i0j1k2l3m4n5', 'target_name': 'example-target'}], 'inherited': [{'target_id': '2a2b3c4d5e6f7g8h9i0j1k2l3m4n5', 'target_name': 'root'}]}
object[array[GuardrailLinkInfo]]
modified_at
required
수정 일시
Example : 2023-10-15 14:30:00
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
name
required
가드레일명
Example : foo-guardrail
string
service_name
required
Organization
Example : iam
string
type
required
가드레일 유형
Example : PREVENTIVE
string

1.2.19 - GuardrailShowResponse

NameDescriptionSchemaDefault
guardrail
required

Guardrail

1.2.20 - GuardrailSummary

NameDescriptionSchemaDefault
binding_ous
optional

any of [array[GuardrailBindingOu], array[object], null]
created_at
required
생성 일시
Example : 2024-12-19 01:09:05.000
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
description
optional
가드레일 설명
Example : This is an example guardrail.
any of [string, null]
guidance
required
정책 가이드
Example : MANDATORY
string
id
required
가드레일 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
modified_at
required
수정 일시
Example : 2023-10-15 14:30:00
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
name
required
가드레일명
Example : foo-guardrail
string
service_name
required
Organization
Example : iam
string
srn
optional
가드레일 SRN
Example : srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]
status
optional
적용 상태
Example : DISABLED
stringDISABLED
type
required
가드레일 유형
Example : PREVENTIVE
string

1.2.21 - LandingZone

NameDescriptionSchemaDefault
agree_yn
required
약관 동의 여부
Example : Y
string
created_at
required
생성 일시
Example : 2024-12-19 01:09:05.000
string (date-time)
created_by
required
생성자
Example : c23fb561c689455993874fa5d5ed4a2f
string
creator_name
optional
생성자 성, 이름
Example : John Doe na
string-
id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string
identity_center_id
optional
Identity Center ID
Example : 0xnw6g1xh2q5
any of [string, null]
modified_at
required
수정 일시
Example : 2023-10-15 14:30:00
string (date-time)
modified_by
required
수정자
Example : c23fb561c689455993874fa5d5ed4a2f
string
modifier_name
optional
수정자 성, 이름
Example : Alice
string-
organization_id
required
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
string
region
required
리전
Example : kr-west1
string
service_name
required
서비스명
Example : Cloud Control
string
srn
required
랜딩 존 SRN
Example : srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b
string
sso_type
required
Account 액세스 구성
Example : ID_CENTER
string
status
required
상태
Example : ACTIVE
string
version_id
required
랜딩 존 버전
Example : 1.0
string

1.2.22 - LandingZoneCreateRequest

NameDescriptionSchemaDefault
additional_ou_name
required
추가 조직 단위명
Example : Sandbox
Minimum length : 1
Maximum length : 128
string
agree_yn
required
약관 동의 여부
Example : Y
enum (Y, N)
audit_account_name
required
감사 계정명
Example : AUDIT
Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$
Minimum length : 3
Maximum length : 30
string
audit_login_id
required
로그인 ID
Example : audit@samsung.com
Maximum length : 60
string (email)
basic_ou_name
required
기본 조직 단위명
Example : Security
Minimum length : 1
Maximum length : 128
string
log_archive_account_name
required
로그 아카이브 계정명
Example : LOG_ARCHIVE
Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$
Minimum length : 3
Maximum length : 30
string
log_archive_login_id
required
로그인 ID
Example : log-archive@samsung.com
Maximum length : 60
string (email)
sso_type
required
Account 액세스 구성
Example : ID_CENTER
enum (ID_CENTER, SELF)

1.2.23 - LandingZoneCreateResponse

NameDescriptionSchemaDefault
job_id
required
ID
Example : 0a36e0746dbf4908acf0357829701381
string
landing_zone_id
required
랜딩 존 ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
string

1.2.24 - LandingZoneShowResponse

NameDescriptionSchemaDefault
landing_zone
required

LandingZone

1.2.25 - ListGuardrailsForTargetResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
guardrails
required

array[GuardrailsForTargetSummary]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

1.2.26 - ListTargetsForGuardrailResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]
targets
required

any of [array[AccountsForGuardrail], array[OrganizationUnitsForGuardrail]]

1.2.27 - OrganizationUnitsForGuardrail

NameDescriptionSchemaDefault
id
required
조직 단위 ID
Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
string
name
required
조직 단위명
Example : score-organization-unit
string
parent_unit_id
optional
ROOT 또는 부모 조직 단위 ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]
parent_unit_name
optional
ROOT 또는 부모 조직 단위명
Example : parent-unit-name
any of [string, null]

2 - Cloud Monitoring

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of MONITORING service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0DEPRECATED20260223

OpenAPI URL

https://cloudmonitoring.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

2.1 - APIs

2.1.1 - CreateEventPolicy

2.1.1.1 - 1.0

post /v1/cloudmonitorings/event/v2/event-policies

Description

Create Event Policy

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerX-ResourceType
required
Resource Type
Example :
stringNone
bodybody
required

EventPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKEventPolicyDetailResponse
201OK(Created)EventPolicyDetailResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Request body

{
    "eventPolicyRequest": {
        "disableYn": "N",
        "eventLevel": "WARNING",
        "eventMessagePrefix": "SCP",
        "eventOccurTimeZone": "GMT+9",
        "eventPolicyStatistics": {
            "eventPolicyStatisticsPeriod": 10,
            "eventPolicyStatisticsType": "MAX"
        },
        "eventThreshold": {
            "metricFunction": "delta",
            "rangeThreshold": {
                "maxComparisonOperator": "LT",
                "maxValue": 90,
                "minComparisonOperator": "GT",
                "minValue": 80
            },
            "singleThreshold": {
                "comparisonOperator": "LT",
                "value": 10
            },
            "thresholdType": "RANGE_VALUE"
        },
        "ftCount": 3,
        "isLogMetric": "N",
        "metricKey": "system.diskio.read.bytes",
        "metricName": "",
        "objectDisplayName": "dm0",
        "objectName": "dm0",
        "objectType": "SCP",
        "podObjectDisplayName": "dm0",
        "podObjectName": "dm0"
    },
    "notificationRecipients": [
        {
            "notificationMethods": [
                {
                    "eventLevel": "FATAL",
                    "notificationMethod": "",
                    "sendMethod": [
                        "MAIL"
                    ]
                }
            ],
            "recipientKey": "1347",
            "recipientType": "USER"
        }
    ],
    "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp"
}

Example HTTP response

Response 200

{
    "asgYn": "",
    "attrListStr": "",
    "checkAsg": "",
    "createBy": "",
    "createById": "",
    "createdBy": "",
    "createdByName": "",
    "createdDt": "2026-02-11T06:41:18.735Z",
    "disableObject": "N",
    "disableYn": "",
    "displayEventRule": "SCP",
    "eventLevel": "WARNING",
    "eventMessagePrefix": "SCP",
    "eventOccurTimeZone": "GMT+9",
    "eventPolicyId": 7226,
    "eventPolicyStatistics": {
        "eventPolicyStatisticsPeriod": 10,
        "eventPolicyStatisticsType": "MAX"
    },
    "eventThreshold": {
        "metricFunction": "delta",
        "rangeThreshold": {
            "maxComparisonOperator": "LT",
            "maxValue": 90,
            "minComparisonOperator": "GT",
            "minValue": 80
        },
        "singleThreshold": {
            "comparisonOperator": "LT",
            "value": 10
        },
        "thresholdType": "RANGE_VALUE"
    },
    "ftCount": 3,
    "groupSummary": {
        "groupName": "",
        "groupResourceId": "",
        "groupSq": "",
        "productList": [
            {
                "productName": "",
                "productResourceId": "",
                "productSq": ""
            }
        ],
        "productTypeCode": "",
        "productTypeName": ""
    },
    "isLogMetric": "N",
    "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
    "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
    "metricKey": "system.cpu.system.pct",
    "metricName": "system.cpu.system.pct",
    "metricSummary": {
        "isLogMetric": "N",
        "isObjectExist": "Y",
        "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
        "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
        "metricKey": "system.cpu.system.pct",
        "metricName": "system.cpu.system.pct",
        "metricSetKey": "system.cpu",
        "metricSetName": "CPU",
        "metricType": "NUM",
        "metricUnit": "bytes",
        "productTargetType": "system.core.id 별",
        "productTargetTypeEn": "By system.core.id"
    },
    "metricType": "NUM",
    "metricUnit": "%",
    "modifiedBy": "",
    "modifiedByName": "",
    "modifiedDt": "2026-02-11T06:41:18.735Z",
    "objectDisplayName": "/tmp",
    "objectName": "/tmp",
    "objectType": "cluster",
    "objectTypeName": "cluster",
    "productInfoAttrs": [
        {
            "attrName": "type",
            "attrValue": "test"
        }
    ],
    "productName": "adad-002",
    "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
    "productSq": 7234,
    "productSummary": {
        "agentState": "Running",
        "lbName": "lbName",
        "lbSize": "MEDIUM",
        "productIpAddress": "192.168.1.2",
        "productName": "VM-002",
        "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
        "productSq": 8703,
        "productState": "Running",
        "productSubName": "productSubName",
        "productSubType": "replicaset",
        "productTypeCode": "VM",
        "productTypeName": "Virtual Server",
        "vpcName": "vpcName"
    },
    "productTargetType": "system.core.id 별",
    "productTargetTypeEn": "By system.core.id",
    "startDt": "2021-10-23T18:00:00Z",
    "updateBy": "",
    "updateById": "",
    "userNameList": [
        "userName",
        "userName"
    ],
    "userNameStr": "",
    "userNames": "N"
}

2.1.2 - DeleteEventPolicy

2.1.2.1 - 1.0

delete /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}

Description

Delete Event policy

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventPolicyId
required
Event policy ID to delete - Event Policy ID can be viewed using @[ListEventPolicies].
Example : 7226
integerNone
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
204OK(No Contents)None
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

2.1.3 - ListAccountEvents

2.1.3.1 - 1.0

get /v1/cloudmonitorings/event/v2/accounts/events

Description

Search Account Event List

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
queryeventState
required
Event State
Example : ALL
stringNone
queryqueryStartDt
required
Query Start Date
Example : 2021-10-23T18:00:00.000Z
stringNone
queryqueryEndDt
required
Query End Date
Example : 2021-10-23T23:59:59.000Z
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None

Responses

HTTP CodeDescriptionSchema
200OKPageResponseOpenApiEventResponse
400Invalid RequestNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/accounts/events?eventState={eventState}&queryStartDt={queryStartDt}&queryEndDt={queryEndDt}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "durationSecond": 100,
            "endDt": "2021-10-23T23:59:59Z",
            "eventId": "",
            "eventLevel": "FATAL",
            "eventMessage": "",
            "eventPolicyId": 7240,
            "eventState": "ACTIVE",
            "metricKey": "system.cpu.system.norm.pct",
            "metricName": "system.cpu.system.norm.pct",
            "objectDisplayName": "CPU0",
            "objectName": "CPU0",
            "objectType": "cluster",
            "objectTypeName": "cluster",
            "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
            "productTargetType": "system.core.id 별",
            "productTargetTypeEn": "By system.core.id",
            "productTypeName": "Virtual Server",
            "startDt": "2021-10-23T18:00:00Z"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.4 - ListAccountMember

2.1.4.1 - 1.0

get /v1/cloudmonitorings/product/v1/accounts/members

Description

Search members included in an Account.

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None

Responses

HTTP CodeDescriptionSchema
200OKPageResponseJsonArrayProjectMemberResponseForOpenAPI
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v1/accounts/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "companyName": "삼성SDS",
            "createdBy": "469",
            "createdByEmail": "soonshin.lee@cloud.com",
            "createdByName": "이순신",
            "createdDt": "2021-08-06T10:23:41.547Z",
            "email": "kdhong@cloud.com",
            "lastAccessDt": "2022-11-06T10:23:41.547Z",
            "modifiedBy": "469",
            "modifiedByEmail": "soonshin.lee@cloud.com",
            "modifiedByName": "이순신",
            "modifiedDt": "2021-08-06T10:23:41.547Z",
            "organizationId": "",
            "positionName": "프로",
            "userGroupCount": "10",
            "userId": "1984",
            "userName": "홍길동"
        }
    ],
    "returnCount": 10,
    "returnPage": 1,
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": 100
}

2.1.5 - ListAccountResources

2.1.5.1 - 1.0

get /v1/cloudmonitorings/product/v2/accounts/products

Description

Search Resource included in an Account.

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPageResponseAccountProductDto
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v2/accounts/products

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "accountId": "UqXgOSnoqOfKB0_LKO6xId",
            "endDt": "9999-12-31T23:59:59.999Z",
            "lastEventLevel": "WARNING",
            "poolName": "POOL-A8-C1DpGqRdQMlfNXdJxLb",
            "productIpAddress": "192.168.245.161",
            "productName": "VM-Server-01",
            "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
            "productState": "Running",
            "productTypeCode": "VM",
            "productTypeName": "Virtual Server",
            "startDt": "2021-10-23T08:30:00Z"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.6 - ListAddressBookMembers

2.1.6.1 - 1.0

get /v1/cloudmonitorings/product/v2/addrbooks/{addrbookId}/members

Description

Search address book members

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
pathaddrbookId
required
Address book ID - Address book IDs can be obtained from @[ListAddressBooks].
Example :
integerNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None

Responses

HTTP CodeDescriptionSchema
200OKPageResponseAlarmAddrBookMemberDto
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v2/addrbooks/{addrbookId}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "userEmail": "kdhong@cloud.com",
            "userId": "1346",
            "userLanguage": "ko",
            "userMobileTelNo": "010-0000-0000",
            "userName": "홍길동",
            "userTimezone": "Asia/Seoul"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.7 - ListAddressBooks

2.1.7.1 - 1.0

get /v1/cloudmonitorings/product/v2/users/addrbooks

Description

Search a list of address books created by user.

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None

Responses

HTTP CodeDescriptionSchema
200OKPageResponseAlarmAddrBookDto
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v2/users/addrbooks

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "addrBookName": "contact name",
            "addrbookId": "74",
            "createdBy": "1984",
            "createdByName": "김삼성",
            "createdDt": "2021-10-23T22:00:00Z",
            "memberCount": 10
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.8 - ListEventPolicies

2.1.8.1 - 1.0

get /v1/cloudmonitorings/event/v2/event-policies

Description

Search Event Policies

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
queryproductResourceId
required
Product Resource ID - Product Resource ID can be viewed using @[ListAccountResources].
Example : c94607c8-6a15-4e13-84f3-99cb77d478e3
stringNone
querymetricKey
optional
Metric Key - Metric Key can be viewed using @[ListMetrics].
Example : system.cpu.system.pct
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPageResponseEventPolicyResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies?productResourceId={productResourceId}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "checkAsg": "",
            "createBy": "",
            "createById": "",
            "eventLevel": "WARNING",
            "eventMessagePrefix": "SCP",
            "eventOccurTimeZone": "GMT+9",
            "eventPolicyId": 7226,
            "eventPolicyStatistics": {
                "eventPolicyStatisticsPeriod": 10,
                "eventPolicyStatisticsType": "MAX"
            },
            "eventThreshold": {
                "metricFunction": "delta",
                "rangeThreshold": {
                    "maxComparisonOperator": "LT",
                    "maxValue": 90,
                    "minComparisonOperator": "GT",
                    "minValue": 80
                },
                "singleThreshold": {
                    "comparisonOperator": "LT",
                    "value": 10
                },
                "thresholdType": "RANGE_VALUE"
            },
            "ftCount": 3,
            "isLogMetric": "N",
            "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
            "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
            "metricKey": "system.cpu.system.pct",
            "metricName": "system.cpu.system.pct",
            "objectName": "cpu0",
            "productName": "VM-002",
            "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
            "productSq": 7321,
            "productTargetType": "system.core.id 별",
            "productTargetTypeEn": "By system.core.id",
            "updateBy": "",
            "updateById": ""
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.9 - ListEventPolicyHistories

2.1.9.1 - 1.0

get /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/histories

Description

Search event policy histories

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventPolicyId
required
Event Policy ID to inquire - Event Policy ID can be viewed using @[ListEventPolicies].
Example : 7226
integerNone
queryqueryStartDt
required
Query Start Date
Example : 2021-10-23T18:00:00.000Z
stringNone
queryqueryEndDt
required
Query End Date
Example : 2021-10-23T23:59:59.000Z
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPageResponseEventPolicyHistoryResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/histories?queryStartDt={queryStartDt}&queryEndDt={queryEndDt}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "createBy": "",
            "createById": "",
            "disableObject": "N",
            "disableYn": "N",
            "eventLevel": "WARNING",
            "eventMessagePrefix": "SCP",
            "eventOccurTimeZone": "GMT+9",
            "eventPolicyHistoryId": 8759,
            "eventPolicyHistoryType": "U",
            "eventPolicyId": 7240,
            "eventPolicyStatistics": {
                "eventPolicyStatisticsPeriod": 10,
                "eventPolicyStatisticsType": "MAX"
            },
            "eventThreshold": {
                "metricFunction": "delta",
                "rangeThreshold": {
                    "maxComparisonOperator": "LT",
                    "maxValue": 90,
                    "minComparisonOperator": "GT",
                    "minValue": 80
                },
                "singleThreshold": {
                    "comparisonOperator": "LT",
                    "value": 10
                },
                "thresholdType": "RANGE_VALUE"
            },
            "ftCount": 3,
            "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
            "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
            "metricKey": "system.cpu.system.pct",
            "metricName": "system.cpu.system.pct",
            "metricUnit": "%",
            "modifiedBy": "",
            "modifiedByName": "",
            "modifiedDt": "2026-02-11T06:41:18.811Z",
            "notificationRecipientHistory": {
                "addrbookIds": [
                    ""
                ],
                "userIds": [
                    ""
                ],
                "userNames": [
                    ""
                ]
            },
            "objectDisplayName": "cpu0",
            "objectName": "cpu0",
            "objectType": "cluster",
            "productName": "VM-Server-01",
            "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
            "productTargetType": "system.core.id 별",
            "productTargetTypeEn": "By system.core.id",
            "updateBy": "",
            "updateById": ""
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.10 - ListEventPolicyNotification

2.1.10.1 - 1.0

get /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/notifications

Description

Search Event Policy Notification

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None
patheventPolicyId
required
Event Policy ID to inquire - Event Policy ID can be viewed using @[ListEventPolicies].
Example : 7226
integerNone
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPageResponseNotificationResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "addrbookAdditionalInfo": {
                "memberCount": 4,
                "userAdditionalInfo": [
                    {
                        "account_id": "",
                        "company_name": "",
                        "dst_offset": "",
                        "email": "",
                        "id": "",
                        "last_login_at": "",
                        "member_created_at": "",
                        "password_reuse_count": "",
                        "timezone": "",
                        "tz_id": "",
                        "user_name": "",
                        "utc_offset": ""
                    }
                ]
            },
            "notificationMethods": [
                {
                    "eventLevel": "FATAL",
                    "notificationMethod": "",
                    "sendMethod": [
                        "MAIL"
                    ]
                }
            ],
            "recipientKey": "1984",
            "recipientName": "홍길동",
            "recipientType": "USER",
            "userAdditionalInfo": {
                "account_id": "",
                "company_name": "",
                "dst_offset": "",
                "email": "",
                "id": "",
                "last_login_at": "",
                "member_created_at": "",
                "password_reuse_count": "",
                "timezone": "",
                "tz_id": "",
                "user_name": "",
                "utc_offset": ""
            }
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.11 - ListMetricPefData

2.1.11.1 - 1.0

post /v1/cloudmonitorings/product/v2/metric-data

Description

Search the performance values of the collected metrics. Up to 10 query conditions can be specified, and the maximum query period is 24 hours.

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerX-ResourceType
required
Resource Type
Example :
stringNone
bodybody
required

MetricDataSearchCriteriaOpenAPIV2

Responses

HTTP CodeDescriptionSchema
200OKListResponseMetricStatisticsDataDtoOpenAPIV2
201OK(Created)ListResponseMetricStatisticsDataDtoOpenAPIV2
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v2/metric-data

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Request body

{
    "ignoreInvalid": "Y",
    "metricDataConditions": [
        {
            "metricKey": "system.diskio.read.bytes",
            "objectType": "replicaset",
            "productResourceInfos": [
                {
                    "objectList": [
                        "kube-01",
                        "kube-02"
                    ],
                    "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp"
                }
            ],
            "statisticsPeriod": 5,
            "statisticsTypeList": [
                "SUM",
                "MIN"
            ]
        }
    ],
    "queryEndDt": "2022-08-07T23:59:00.000Z",
    "queryStartDt": "2022-08-07T23:50:00.000Z"
}

Example HTTP response

Response 200

{
    "contents": [
        {
            "metricKey": "system.filesystem.used.bytes",
            "metricName": "system.filesystem.used.bytes",
            "metricType": "NUM",
            "metricUnit": "bytes",
            "objectDisplayName": "dm-1",
            "objectName": "dm-1",
            "objectType": "replicaset",
            "perfData": [
                {
                    "time": 1627378200000,
                    "value": "0.0766"
                }
            ],
            "productName": "VM-Server-01",
            "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
            "statisticsPeriod": 5,
            "statisticsType": "SUM"
        }
    ],
    "totalCount": ""
}

2.1.12 - ListMetrics

2.1.12.1 - 1.0

get /v1/cloudmonitorings/product/v2/metrics

Description

View the list of metrics provided by Monitoring. You can view the full list of metrics or the list of metrics for each service type.

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
queryproductTypeCode
optional
Product type code - Product type codes can be obtained using @[ListServiceMonitoring]. If not specified, the entire metric list will be retrieved.
Example : VM
stringNone
queryobjectType
optional
Object Type - Only available for services that have subtypes, such as when the ‘productTypeCode’ is ‘Kubernetes’ or ‘Load Balancer’.
Example : node
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None

Responses

HTTP CodeDescriptionSchema
200OKPageResponseMetricInfoDto
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v2/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "disableObject": "N",
            "displayUnit": "",
            "fixedUnit": "sec",
            "isLogMetric": "N",
            "isObjectExist": "Y",
            "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
            "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
            "metricKey": "system.filesystem.used.bytes",
            "metricName": "FileSystem",
            "metricOrder": 1,
            "metricSetKey": "system.filesystem",
            "metricSetName": "FileSystem",
            "metricType": "NUM",
            "metricUnit": "bytes",
            "objectKeyName": "system.core.iowait.pct",
            "objectType": "N",
            "objectTypeNameEng": "N",
            "objectTypeNameLoc": "N",
            "perfTitle": "File System",
            "productTargetType": "system.core.id 별",
            "productTargetTypeEn": "By system.core.id",
            "productTypeCode": "VM",
            "productTypeName": "Virtual Server"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.13 - ListResourceEvents

2.1.13.1 - 1.0

get /v1/cloudmonitorings/event/v2/events

Description

Search a list of events that occurred on a product resource.

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
queryproductResourceId
required
Product Resource ID - Product Resource ID can be viewed using @[ListAccountResources].
Example : INSTANCE-c4Hsd27ttDaLw533X4B6Sp
stringNone
querymetricKey
optional
Metric Key - Metric Key can be viewed using @[ListMetrics].
Example : system.cpu.system.pct
stringNone
queryeventState
required
Event State
Example : ALL
stringNone
queryqueryStartDt
required
Query Start Date
Example : 2021-10-23T18:00:00.000Z
stringNone
queryqueryEndDt
required
Query End Date
Example : 2021-10-23T23:59:59.000Z
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPageResponseOpenApiEventResponse
400Invalid RequestNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/events?productResourceId={productResourceId}&eventState={eventState}&queryStartDt={queryStartDt}&queryEndDt={queryEndDt}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "durationSecond": 100,
            "endDt": "2021-10-23T23:59:59Z",
            "eventId": "",
            "eventLevel": "FATAL",
            "eventMessage": "",
            "eventPolicyId": 7240,
            "eventState": "ACTIVE",
            "metricKey": "system.cpu.system.norm.pct",
            "metricName": "system.cpu.system.norm.pct",
            "objectDisplayName": "CPU0",
            "objectName": "CPU0",
            "objectType": "cluster",
            "objectTypeName": "cluster",
            "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
            "productTargetType": "system.core.id 별",
            "productTargetTypeEn": "By system.core.id",
            "productTypeName": "Virtual Server",
            "startDt": "2021-10-23T18:00:00Z"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.14 - ListService

2.1.14.1 - 1.0

get /v1/cloudmonitorings/product/v1/product-types

Description

Search a list of product types supported by monitoring.

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
queryproductCategoryCode
optional
Product type category - If not specified, the entire product type code will be retrieved.
Example : Compute
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None

Responses

HTTP CodeDescriptionSchema
200OKPageResponseProductTypeInfoDto
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v1/product-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "parentProductTypeName": "Compute",
            "productTypeCode": "VM",
            "productTypeName": "Virtual Server",
            "stateMetricKey": "vsphere.mxvm.runtime.state"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.15 - SetEventPolicy

2.1.15.1 - 1.0

put /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}

Description

Set Event Policy

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventPolicyId
required
Event policy ID to modify - Event Policy ID can be viewed using @[ListEventPolicies].
Example : 7226
integerNone
headerX-ResourceType
required
Resource Type
Example :
stringNone
bodybody
required

EventPolicyUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKEventPolicyDetailResponse
201OK(Created)EventPolicyDetailResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Request body

{
    "eventPolicyRequest": {
        "disableYn": "N",
        "eventLevel": "WARNING",
        "eventMessagePrefix": "SCP",
        "eventOccurTimeZone": "GMT+9",
        "eventPolicyStatistics": {
            "eventPolicyStatisticsPeriod": 10,
            "eventPolicyStatisticsType": "MAX"
        },
        "eventThreshold": {
            "metricFunction": "delta",
            "rangeThreshold": {
                "maxComparisonOperator": "LT",
                "maxValue": 90,
                "minComparisonOperator": "GT",
                "minValue": 80
            },
            "singleThreshold": {
                "comparisonOperator": "LT",
                "value": 10
            },
            "thresholdType": "RANGE_VALUE"
        },
        "ftCount": 3,
        "objectDisplayName": "cpu0",
        "objectName": "cpu0",
        "objectType": "cluster",
        "podObjectDisplayName": "cpu0",
        "podObjectName": "cpu0"
    },
    "notificationRecipients": [
        {
            "notificationMethods": [
                {
                    "eventLevel": "FATAL",
                    "notificationMethod": "",
                    "sendMethod": [
                        "MAIL"
                    ]
                }
            ],
            "recipientKey": "1347",
            "recipientType": "USER"
        }
    ]
}

Example HTTP response

Response 200

{
    "asgYn": "",
    "attrListStr": "",
    "checkAsg": "",
    "createBy": "",
    "createById": "",
    "createdBy": "",
    "createdByName": "",
    "createdDt": "2026-02-11T06:41:18.791Z",
    "disableObject": "N",
    "disableYn": "",
    "displayEventRule": "SCP",
    "eventLevel": "WARNING",
    "eventMessagePrefix": "SCP",
    "eventOccurTimeZone": "GMT+9",
    "eventPolicyId": 7226,
    "eventPolicyStatistics": {
        "eventPolicyStatisticsPeriod": 10,
        "eventPolicyStatisticsType": "MAX"
    },
    "eventThreshold": {
        "metricFunction": "delta",
        "rangeThreshold": {
            "maxComparisonOperator": "LT",
            "maxValue": 90,
            "minComparisonOperator": "GT",
            "minValue": 80
        },
        "singleThreshold": {
            "comparisonOperator": "LT",
            "value": 10
        },
        "thresholdType": "RANGE_VALUE"
    },
    "ftCount": 3,
    "groupSummary": {
        "groupName": "",
        "groupResourceId": "",
        "groupSq": "",
        "productList": [
            {
                "productName": "",
                "productResourceId": "",
                "productSq": ""
            }
        ],
        "productTypeCode": "",
        "productTypeName": ""
    },
    "isLogMetric": "N",
    "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
    "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
    "metricKey": "system.cpu.system.pct",
    "metricName": "system.cpu.system.pct",
    "metricSummary": {
        "isLogMetric": "N",
        "isObjectExist": "Y",
        "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
        "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
        "metricKey": "system.cpu.system.pct",
        "metricName": "system.cpu.system.pct",
        "metricSetKey": "system.cpu",
        "metricSetName": "CPU",
        "metricType": "NUM",
        "metricUnit": "bytes",
        "productTargetType": "system.core.id 별",
        "productTargetTypeEn": "By system.core.id"
    },
    "metricType": "NUM",
    "metricUnit": "%",
    "modifiedBy": "",
    "modifiedByName": "",
    "modifiedDt": "2026-02-11T06:41:18.791Z",
    "objectDisplayName": "/tmp",
    "objectName": "/tmp",
    "objectType": "cluster",
    "objectTypeName": "cluster",
    "productInfoAttrs": [
        {
            "attrName": "type",
            "attrValue": "test"
        }
    ],
    "productName": "adad-002",
    "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
    "productSq": 7234,
    "productSummary": {
        "agentState": "Running",
        "lbName": "lbName",
        "lbSize": "MEDIUM",
        "productIpAddress": "192.168.1.2",
        "productName": "VM-002",
        "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
        "productSq": 8703,
        "productState": "Running",
        "productSubName": "productSubName",
        "productSubType": "replicaset",
        "productTypeCode": "VM",
        "productTypeName": "Virtual Server",
        "vpcName": "vpcName"
    },
    "productTargetType": "system.core.id 별",
    "productTargetTypeEn": "By system.core.id",
    "startDt": "2021-10-23T18:00:00Z",
    "updateBy": "",
    "updateById": "",
    "userNameList": [
        "userName",
        "userName"
    ],
    "userNameStr": "",
    "userNames": "N"
}

2.1.16 - ShowEventNotificationStates

2.1.16.1 - 1.0

get /v1/cloudmonitorings/event/v2/events/{eventId}/notification-states

Description

Search Event Notification States

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventId
required
Event ID - Event ID can be viewed using @[ListResourceEvents].
Example :
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPageResponseEventNotificationResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/events/{eventId}/notification-states

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "notificationStates": [
                {
                    "errorMsg": "SMS Send become Inactive.",
                    "sendDt": "2021-10-23T18:00:00Z",
                    "sendMethod": "MAIL",
                    "sendResult": "SUCCESS"
                }
            ],
            "user": "",
            "userEmail": "kdhong@cloud.com",
            "userId": "1984",
            "userMobileTelNo": "010-000-0000",
            "userNameNotification": "홍길동"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}

2.1.17 - ShowEventPolicy

2.1.17.1 - 1.0

get /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}

Description

Show Event Policy

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventPolicyId
required
Event Policy ID to inquire - Event Policy ID can be viewed using @[ListEventPolicies].
Example : 7226
integerNone
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEventPolicyDetailResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "asgYn": "",
    "attrListStr": "",
    "checkAsg": "",
    "createBy": "",
    "createById": "",
    "createdBy": "",
    "createdByName": "",
    "createdDt": "2026-02-11T06:41:18.772Z",
    "disableObject": "N",
    "disableYn": "",
    "displayEventRule": "SCP",
    "eventLevel": "WARNING",
    "eventMessagePrefix": "SCP",
    "eventOccurTimeZone": "GMT+9",
    "eventPolicyId": 7226,
    "eventPolicyStatistics": {
        "eventPolicyStatisticsPeriod": 10,
        "eventPolicyStatisticsType": "MAX"
    },
    "eventThreshold": {
        "metricFunction": "delta",
        "rangeThreshold": {
            "maxComparisonOperator": "LT",
            "maxValue": 90,
            "minComparisonOperator": "GT",
            "minValue": 80
        },
        "singleThreshold": {
            "comparisonOperator": "LT",
            "value": 10
        },
        "thresholdType": "RANGE_VALUE"
    },
    "ftCount": 3,
    "groupSummary": {
        "groupName": "",
        "groupResourceId": "",
        "groupSq": "",
        "productList": [
            {
                "productName": "",
                "productResourceId": "",
                "productSq": ""
            }
        ],
        "productTypeCode": "",
        "productTypeName": ""
    },
    "isLogMetric": "N",
    "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
    "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
    "metricKey": "system.cpu.system.pct",
    "metricName": "system.cpu.system.pct",
    "metricSummary": {
        "isLogMetric": "N",
        "isObjectExist": "Y",
        "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
        "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
        "metricKey": "system.cpu.system.pct",
        "metricName": "system.cpu.system.pct",
        "metricSetKey": "system.cpu",
        "metricSetName": "CPU",
        "metricType": "NUM",
        "metricUnit": "bytes",
        "productTargetType": "system.core.id 별",
        "productTargetTypeEn": "By system.core.id"
    },
    "metricType": "NUM",
    "metricUnit": "%",
    "modifiedBy": "",
    "modifiedByName": "",
    "modifiedDt": "2026-02-11T06:41:18.772Z",
    "objectDisplayName": "/tmp",
    "objectName": "/tmp",
    "objectType": "cluster",
    "objectTypeName": "cluster",
    "productInfoAttrs": [
        {
            "attrName": "type",
            "attrValue": "test"
        }
    ],
    "productName": "adad-002",
    "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
    "productSq": 7234,
    "productSummary": {
        "agentState": "Running",
        "lbName": "lbName",
        "lbSize": "MEDIUM",
        "productIpAddress": "192.168.1.2",
        "productName": "VM-002",
        "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
        "productSq": 8703,
        "productState": "Running",
        "productSubName": "productSubName",
        "productSubType": "replicaset",
        "productTypeCode": "VM",
        "productTypeName": "Virtual Server",
        "vpcName": "vpcName"
    },
    "productTargetType": "system.core.id 별",
    "productTargetTypeEn": "By system.core.id",
    "startDt": "2021-10-23T18:00:00Z",
    "updateBy": "",
    "updateById": "",
    "userNameList": [
        "userName",
        "userName"
    ],
    "userNameStr": "",
    "userNames": "N"
}

2.1.18 - ShowResourceEvent

2.1.18.1 - 1.0

get /v1/cloudmonitorings/event/v2/events/{eventId}

Description

Show Resource Event

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventId
required
Event ID - Event ID can be viewed using @[ListResourceEvents].
Example :
stringNone
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEventDetailResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/events/{eventId}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "durationSecond": 100,
    "endDt": "2021-10-23T23:59:59Z",
    "eventId": "",
    "eventLevel": "FATAL",
    "eventMessage": "",
    "eventPolicyId": 7240,
    "eventPolicySummary": {
        "checkAsg": "",
        "createBy": "",
        "createById": "",
        "eventLevel": "WARNING",
        "eventMessagePrefix": "SCP",
        "eventOccurTimeZone": "GMT+9",
        "eventPolicyId": 7226,
        "eventPolicyStatistics": {
            "eventPolicyStatisticsPeriod": 10,
            "eventPolicyStatisticsType": "MAX"
        },
        "eventThreshold": {
            "metricFunction": "delta",
            "rangeThreshold": {
                "maxComparisonOperator": "LT",
                "maxValue": 90,
                "minComparisonOperator": "GT",
                "minValue": 80
            },
            "singleThreshold": {
                "comparisonOperator": "LT",
                "value": 10
            },
            "thresholdType": "RANGE_VALUE"
        },
        "ftCount": 3,
        "isLogMetric": "N",
        "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
        "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
        "metricKey": "system.cpu.system.pct",
        "metricName": "system.cpu.system.pct",
        "objectName": "cpu0",
        "productName": "VM-002",
        "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
        "productSq": 7321,
        "productTargetType": "system.core.id 별",
        "productTargetTypeEn": "By system.core.id",
        "updateBy": "",
        "updateById": ""
    },
    "eventState": "ACTIVE",
    "metricKey": "system.cpu.system.norm.pct",
    "metricName": "system.cpu.system.norm.pct",
    "metricSummary": {
        "isLogMetric": "N",
        "isObjectExist": "Y",
        "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
        "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
        "metricKey": "system.cpu.system.pct",
        "metricName": "system.cpu.system.pct",
        "metricSetKey": "system.cpu",
        "metricSetName": "CPU",
        "metricType": "NUM",
        "metricUnit": "bytes",
        "productTargetType": "system.core.id 별",
        "productTargetTypeEn": "By system.core.id"
    },
    "objectDisplayName": "CPU0",
    "objectName": "CPU0",
    "objectType": "cluster",
    "objectTypeName": "Cluster",
    "productIpAddress": "192.168.1.2",
    "productName": "VM-002",
    "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
    "productSummary": {
        "agentState": "Running",
        "lbName": "lbName",
        "lbSize": "MEDIUM",
        "productIpAddress": "192.168.1.2",
        "productName": "VM-002",
        "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
        "productSq": 8703,
        "productState": "Running",
        "productSubName": "productSubName",
        "productSubType": "replicaset",
        "productTypeCode": "VM",
        "productTypeName": "Virtual Server",
        "vpcName": "vpcName"
    },
    "productTypeCode": "VM",
    "startDt": "2021-10-23T18:00:00Z"
}

2.2 - Models

2.2.1 - AccountProductDto

NameDescriptionSchemaDefault
accountId
required
프로젝트 아이디
Example : UqXgOSnoqOfKB0_LKO6xId
string
endDt
optional
상품 삭제 일시
Example : 9999-12-31T23:59:59.999Z
string (date-time)
lastEventLevel
optional
최종 이벤트 레벨
Example : WARNING
string
poolName
optional
풀 이름
Example : POOL-A8-C1DpGqRdQMlfNXdJxLb
string
productIpAddress
optional
상품 IP주소
Example : 192.168.245.161
string
productName
required
상품 이름
Example : VM-Server-01
string
productResourceId
required
상품 리소스 아이디
Example : INSTANCE-c4Hsd27ttDaLw533X4B6Sp
string
productState
required
상품 상태 - 유효한 값 : Running, Down
Example : Running
string
productTypeCode
required
상품 유형코드
Example : VM
string
productTypeName
required
상품 유형이름
Example : Virtual Server
string
startDt
required
상품 생성 일시
Example : 2021-10-23T08:30:00Z
string (date-time)

2.2.2 - AddrbookAdditionalInfo

NameDescriptionSchemaDefault
memberCount
required
멤버수
Example : 4
integer
userAdditionalInfo
optional

array[Member]

2.2.3 - AlarmAddrBookDto

NameDescriptionSchemaDefault
addrBookName
required
주소록 이름
Example : contact name
string
addrbookId
required
주소록 아이디
Example : 74
string
createdBy
required
생성자 아이디
Example : 1984
string
createdByName
required
생성자 이름
Example : 김삼성
string
createdDt
required
생성 일시
Example : 2021-10-23T22:00:00Z
string (date-time)
memberCount
required
멤버 수
Example : 10
integer

2.2.4 - AlarmAddrBookMemberDto

NameDescriptionSchemaDefault
userEmail
required
사용자 이메일
Example : kdhong@cloud.com
string
userId
required
사용자 리소스 아이디
Example : 1346
string
userLanguage
required
사용자 언어
Example : ko
string
userMobileTelNo
optional
사용자 휴대전화번호
Example : 010-0000-0000
string
userName
required
사용자 이름
Example : 홍길동
string
userTimezone
required
사용자 타임존
Example : Asia/Seoul
string

2.2.5 - EventDetailResponse

NameDescriptionSchemaDefault
durationSecond
required
이벤트 지속 시간 - 단위: 초
Example : 100
integer
endDt
optional
종료일시
Example : 2021-10-23T23:59:59Z
string (date-time)
eventId
required
이벤트 아이디
Example :
string
eventLevel
required
이벤트 레벨
Example : FATAL
string
eventMessage
required
이벤트 메시지
Example :
string
eventPolicyId
optional
이벤트 정책 아이디
Example : 7240
integer
eventPolicySummary
required

EventPolicyResponse
eventState
required
Event State
Example : ACTIVE
string
metricKey
required
메트릭 키
Example : system.cpu.system.norm.pct
string
metricName
optional
메트릭 이름
Example : system.cpu.system.norm.pct
string
metricSummary
required

MetricSummary
objectDisplayName
optional
오브젝트 이름
Example : CPU0
string
objectName
optional
오브젝트 이름
Example : CPU0
string
objectType
optional
개별항목 유형
Example : cluster
string
objectTypeName
optional
개별항목 유형 이름
Example : Cluster
string
productIpAddress
optional
상품 IP주소
Example : 192.168.1.2
string
productName
optional
상품 이름
Example : VM-002
string
productResourceId
required
상품 리소스 아이디
Example : INSTANCE-c4Hsd27ttDaLw533X4B6Sp
string
productSummary
required

ProductSummary
productTypeCode
optional
상품 유형 코드
Example : VM
string
startDt
required
시작일시
Example : 2021-10-23T18:00:00Z
string (date-time)

2.2.6 - EventNotificationResponse

NameDescriptionSchemaDefault
notificationStates
required
이벤트 알림 상태
array[NotificationStatus]
user
optional

Example :
object
userEmail
optional
사용자 이메일
Example : kdhong@cloud.com
string
userId
required
사용자 아이디
Example : 1984
string
userMobileTelNo
optional
사용자 휴대 전화번호
Example : 010-000-0000
string
userNameNotification
required
사용자 이름
Example : 홍길동
string

2.2.7 - EventPolicyCreateRequest

NameDescriptionSchemaDefault
eventPolicyRequest
required

EventPolicyInfo
notificationRecipients
optional
이벤트 알림 수신인 정보 - 알림 대상자 정보는 10개까지 지정할 수 있습니다.
array[NotificationRecipient]
productResourceId
required
Product Resource ID - Product Resource ID can be viewed using @[ListAccountResources].
Example : INSTANCE-c4Hsd27ttDaLw533X4B6Sp
string

2.2.8 - EventPolicyDetailResponse

NameDescriptionSchemaDefault
asgYn
optional

Example :
string
attrListStr
optional

Example :
string
checkAsg
optional

Example :
boolean
createBy
optional

Example :
object
createById
optional

Example :
string
createdBy
optional

Example :
string
createdByName
optional

Example :
string
createdDt
optional

Example :
string (date-time)
disableObject
optional
swagger.event.eventPolicyResponse.disableObject.value
Example : N
string
disableYn
optional

Example :
string
displayEventRule
optional
swagger.event.eventResponse.displayEventRule.value
Example : SCP
string
eventLevel
required
이벤트 레벨
Example : WARNING
string
eventMessagePrefix
optional
이벤트 메시지 접두사
Example : SCP
string
eventOccurTimeZone
optional
swagger.event.eventPolicyResponse.eventOccurTimeZone.value
Example : GMT+9
string
eventPolicyId
required
이벤트 정책 아이디
Example : 7226
integer
eventPolicyStatistics
optional

EventPolicyStatistics
eventThreshold
required

EventThreshold
ftCount
required
결함허용 개수 - 설정한 조건에 맞는 값이 몇 번 반복해서 발생하면 이벤트를 발생시킬지 설정하는 값
Example : 3
integer
groupSummary
optional

GroupSummary
isLogMetric
required
로그 메트릭 여부
Example : N
string
metricDescription
optional
메트릭 설명
Example : 커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)
string
metricDescriptionEn
optional
메트릭 설명
Example : Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)
string
metricKey
required
메트릭 키
Example : system.cpu.system.pct
string
metricName
optional
메트릭 이름
Example : system.cpu.system.pct
string
metricSummary
required

MetricSummary
metricType
optional
메트릭 유형
Example : NUM
string
metricUnit
optional
메트릭 단위
Example : %
string
modifiedBy
optional

Example :
string
modifiedByName
optional

Example :
string
modifiedDt
optional

Example :
string (date-time)
objectDisplayName
optional
오브젝트 이름
Example : /tmp
string
objectName
optional
오브젝트 이름
Example : /tmp
string
objectType
optional
개별항목 유형
Example : cluster
string
objectTypeName
optional
개별항목 유형 이름
Example : cluster
string
productInfoAttrs
optional
상품 정보 속성
Example : [{'attrName': 'type', 'attrValue': 'test'}]
array[ProductInfoAttr]
productName
optional
상품 이름
Example : adad-002
string
productResourceId
optional
상품 리소스 아이디
Example : INSTANCE-c4Hsd27ttDaLw533X4B6Sp
string
productSq
optional
상품 시퀀스
Example : 7234
integer
productSummary
required

ProductSummary
productTargetType
optional
메트릭 대상 유형
Example : system.core.id 별
string
productTargetTypeEn
optional
메트릭 대상 유형
Example : By system.core.id
string
startDt
optional
시작일시
Example : 2021-10-23T18:00:00Z
string (date-time)
updateBy
optional

Example :
object
updateById
optional

Example :
string
userNameList
optional
사용자 이름
Example : ['userName', 'userName']
array[string]
userNameStr
optional

Example :
string
userNames
optional
swagger.event.eventPolicyResponse.disableObject.value
Example : N
string

2.2.9 - EventPolicyHistoryResponse

NameDescriptionSchemaDefault
createBy
optional

Example :
object
createById
optional

Example :
string
disableObject
optional
swagger.event.eventPolicyResponse.disableObject.value
Example : N
string
disableYn
optional
swagger.event.eventPolicyResponse.disableObject.value
Example : N
string
eventLevel
required
이벤트 레벨
Example : WARNING
string
eventMessagePrefix
optional
이벤트 메시지 접두사
Example : SCP
string
eventOccurTimeZone
optional
swagger.event.eventPolicyResponse.eventOccurTimeZone.value
Example : GMT+9
string
eventPolicyHistoryId
required
이벤트 정책 이력 아이디
Example : 8759
integer
eventPolicyHistoryType
required
이벤트 정책 이력 유형 - C : 등록, U : 수정, D : 삭제
Example : U
string
eventPolicyId
optional
이벤트 정책 아이디
Example : 7240
integer
eventPolicyStatistics
optional

EventPolicyStatistics
eventThreshold
required

EventThreshold
ftCount
required
결함허용 개수
Example : 3
integer
metricDescription
optional
메트릭 설명
Example : 커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)
string
metricDescriptionEn
optional
메트릭 설명
Example : Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)
string
metricKey
required
메트릭 키
Example : system.cpu.system.pct
string
metricName
required
메트릭 이름
Example : system.cpu.system.pct
string
metricUnit
optional
메트릭 단위
Example : %
string
modifiedBy
optional

Example :
string
modifiedByName
optional

Example :
string
modifiedDt
optional

Example :
string (date-time)
notificationRecipientHistory
optional

NotificationRecipientHistory
objectDisplayName
optional
오브젝트 이름
Example : cpu0
string
objectName
optional
오브젝트 이름
Example : cpu0
string
objectType
optional
개별항목 유형
Example : cluster
string
productName
required
상품 이름
Example : VM-Server-01
string
productResourceId
required
상품 리소스 아이디
Example : INSTANCE-c4Hsd27ttDaLw533X4B6Sp
string
productTargetType
optional
메트릭 대상 유형
Example : system.core.id 별
string
productTargetTypeEn
optional
메트릭 대상 유형
Example : By system.core.id
string
updateBy
optional

Example :
object
updateById
optional

Example :
string

2.2.10 - EventPolicyInfo

NameDescriptionSchemaDefault
disableYn
required
swagger.event.eventPolicyResponse.disableYn.value
Example : N
string
eventLevel
required
이벤트 레벨
Example : WARNING
string
eventMessagePrefix
optional
이벤트 메시지 접두사
Example : SCP
string
eventOccurTimeZone
optional
swagger.event.eventPolicyResponse.eventOccurTimeZone.value
Example : GMT+9
string
eventPolicyStatistics
optional

EventPolicyStatistics
eventThreshold
required

EventThreshold
ftCount
required
결함허용 개수 - 설정한 조건에 맞는 값이 몇 번 반복해서 발생하면 이벤트를 발생시킬지 설정하는 값
Example : 3
integer
isLogMetric
required
로그 메트릭 여부
Example : N
string
metricKey
required
메트릭 키
Example : system.diskio.read.bytes
string
metricName
optional

Example :
string
objectDisplayName
optional
오브젝트 이름
Example : dm0
string
objectName
optional
오브젝트 이름
Example : dm0
string
objectType
optional
개별항목 유형
Example : SCP
string
podObjectDisplayName
optional
swagger.event.eventPolicyResponse.podObjectDisplayName.value
Example : dm0
string
podObjectName
optional
swagger.event.eventPolicyResponse.podObjectName.value
Example : dm0
string

2.2.11 - EventPolicyInfoEditable

NameDescriptionSchemaDefault
disableYn
required
swagger.event.eventPolicyResponse.disableYn.value
Example : N
string
eventLevel
required
이벤트 레벨
Example : WARNING
string
eventMessagePrefix
optional
이벤트 메시지 접두사
Example : SCP
string
eventOccurTimeZone
optional
swagger.event.eventPolicyResponse.eventOccurTimeZone.value
Example : GMT+9
string
eventPolicyStatistics
optional

EventPolicyStatistics
eventThreshold
required

EventThreshold
ftCount
required
결함허용 개수 - 설정한 조건에 맞는 값이 몇 번 반복해서 발생하면 이벤트를 발생시킬지 설정하는 값
Example : 3
integer
objectDisplayName
optional
오브젝트 이름
Example : cpu0
string
objectName
optional
오브젝트 이름
Example : cpu0
string
objectType
optional
개별항목 유형
Example : cluster
string
podObjectDisplayName
optional
swagger.event.eventPolicyResponse.podObjectName.value
Example : cpu0
string
podObjectName
optional
swagger.event.eventPolicyResponse.podObjectName.value
Example : cpu0
string

2.2.12 - EventPolicyResponse

NameDescriptionSchemaDefault
checkAsg
optional

Example :
boolean
createBy
optional

Example :
object
createById
optional

Example :
string
eventLevel
required
이벤트 레벨
Example : WARNING
string
eventMessagePrefix
optional
이벤트 메시지 접두사
Example : SCP
string
eventOccurTimeZone
optional
swagger.event.eventPolicyResponse.eventOccurTimeZone.value
Example : GMT+9
string
eventPolicyId
required
이벤트 정책 아이디
Example : 7226
integer
eventPolicyStatistics
optional

EventPolicyStatistics
eventThreshold
required

EventThreshold
ftCount
required
결함허용 개수 - 설정한 조건에 맞는 값이 몇 번 반복해서 발생하면 이벤트를 발생시킬지 설정하는 값
Example : 3
integer
isLogMetric
required
로그 메트릭 여부
Example : N
string
metricDescription
optional
메트릭 설명
Example : 커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)
string
metricDescriptionEn
optional
메트릭 설명
Example : Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)
string
metricKey
required
메트릭 키
Example : system.cpu.system.pct
string
metricName
required
메트릭 이름
Example : system.cpu.system.pct
string
objectName
optional
오브젝트 이름
Example : cpu0
string
productName
required
상품 이름
Example : VM-002
string
productResourceId
required
상품 리소스 아이디
Example : INSTANCE-c4Hsd27ttDaLw533X4B6Sp
string
productSq
required
상품 시퀀스
Example : 7321
integer
productTargetType
optional
메트릭 대상 유형
Example : system.core.id 별
string
productTargetTypeEn
optional
메트릭 대상 유형
Example : By system.core.id
string
updateBy
optional

Example :
object
updateById
optional

Example :
string

2.2.13 - EventPolicyStatistics

NameDescriptionSchemaDefault
eventPolicyStatisticsPeriod
required
이벤트 정책 통계 기간 - 단위: 분
Example : 10
integer
eventPolicyStatisticsType
required
이벤트 정책 통계 유형
Example : MAX
string

2.2.14 - EventPolicyUpdateRequest

NameDescriptionSchemaDefault
eventPolicyRequest
required

EventPolicyInfoEditable
notificationRecipients
optional
이벤트 알림 수신인 정보
array[NotificationRecipient]

2.2.15 - EventThreshold

NameDescriptionSchemaDefault
metricFunction
optional
메트릭 함수 - 유효한 값: [delta] - 이벤트 발생 여부를 판단하기 위해 성능항목의 현재 값을 사용할지, 이전 값과 현재 값의 차이를 사용할지를 지정합니다. - 이전 값과 현재 값의 차이를 사용하고자 할 경우에만 delta로 지정합니다.
Example : delta
string
rangeThreshold
optional

RangeThreshold
singleThreshold
optional

SingleThreshold
thresholdType
required
임계치 유형 - 임계치를 범위로 지정할 경우에는 “RANGE_VALUE"를, 임계치를 단일값으로 지정할 경우에는 “SINGLE_VALUE” 지정해야 합니다.
Example : RANGE_VALUE
string

2.2.16 - GroupSummary

NameDescriptionSchemaDefault
groupName
optional

Example :
string
groupResourceId
optional

Example :
string
groupSq
optional

Example :
integer
productList
optional

array[ProductList]
productTypeCode
optional

Example :
string
productTypeName
optional

Example :
string

2.2.17 - ListResponseMetricStatisticsDataDtoOpenAPIV2

NameDescriptionSchemaDefault
contents
optional

array[MetricStatisticsDataDtoOpenAPIV2]
totalCount
optional

Example :
integer

2.2.18 - Member

NameDescriptionSchemaDefault
account_id
optional

Example :
string
company_name
optional

Example :
string
dst_offset
optional

Example :
string
email
optional

Example :
string
id
optional

Example :
string
last_login_at
optional

Example :
string
member_created_at
optional

Example :
string
password_reuse_count
optional

Example :
integer
timezone
optional

Example :
string
tz_id
optional

Example :
string
user_name
optional

Example :
string
utc_offset
optional

Example :
string

2.2.19 - MetricDataConditionOpenAPIV2

NameDescriptionSchemaDefault
metricKey
required
메트릭
Example : system.diskio.read.bytes
string
objectType
optional
개별항목 유형
Example : replicaset
string
productResourceInfos
required
상품 리소스 아이디 목록 - 상품 리소스 아이디는 50개까지 지정할 수 있습니다.
array[ProductResourceInfo]
statisticsPeriod
optional
통계 집계 주기 (단위: 분)
Example : 5
integer
statisticsTypeList
optional
통계 유형 - 유효한 값 : MIN, MAX, AVG, SUM
Example : ['SUM', 'MIN']
array[string]

2.2.20 - MetricDataSearchCriteriaOpenAPIV2

NameDescriptionSchemaDefault
ignoreInvalid
optional
유효하지 않은 값 제외 여부
Example : Y
string
metricDataConditions
required
메트릭 데이터 조건
array[MetricDataConditionOpenAPIV2]
queryEndDt
required
조회 종료 일시
Example : 2022-08-07T23:59:00.000Z
string
queryStartDt
required
조회 시작 일시
Example : 2022-08-07T23:50:00.000Z
string

2.2.21 - MetricInfoDto

NameDescriptionSchemaDefault
disableObject
optional
swagger.product.MetricInfoDto.disableObject.value
Example : N
string
displayUnit
optional

Example :
string
fixedUnit
optional
메트릭 단위 (고정)
Example : sec
string
isLogMetric
required
로그 메트릭 여부
Example : N
string
isObjectExist
required
개별항목 성능 존재 여부
Example : Y
string
metricDescription
optional
메트릭 설명
Example : 커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)
string
metricDescriptionEn
optional
메트릭 설명
Example : Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)
string
metricKey
required
메트릭 키
Example : system.filesystem.used.bytes
string
metricName
required
메트릭 이름
Example : FileSystem
string
metricOrder
optional
메트릭 순서
Example : 1
integer
metricSetKey
required
swagger.product.MetricInfoDto.metricSetKey.value
Example : system.filesystem
string
[...]
